﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using RadControls.WP7.MVVM.ExClasses;
using GalaSoft.MvvmLight.Messaging;

namespace RadControls.WP7.MVVM.ViewModels
{
    public class MainPageViewModel : ViewModelBase
    {
        private ObservableCollection<MyMVVMItem> myMVVMItems;
        public ObservableCollection<MyMVVMItem> MyMVVMItems
        {
            get
            {
                if (myMVVMItems == null)
                    myMVVMItems = LoadData();

                return myMVVMItems;
            }
            set
            {
                if (myMVVMItems != value)
                {
                    myMVVMItems = value;
                    RaisePropertyChanged("MyMVVMItems");
                }
            }
        }

        public RelayCommand<Telerik.Windows.Controls.ListBoxItemTapEventArgs> ItemTapCommand { get; set; }

        public MainPageViewModel()
        {
            ItemTapCommand = new RelayCommand<Telerik.Windows.Controls.ListBoxItemTapEventArgs>(ItemTap);
        }

        public void ItemTap(Telerik.Windows.Controls.ListBoxItemTapEventArgs e)
        {
            string navName = (e.Item.DataContext as MyMVVMItem).NavigationName;

            Messenger.Default.Send<string>(navName, "NavigationLocation");
        }

        public ObservableCollection<MyMVVMItem> LoadData()
        {
            ObservableCollection<MyMVVMItem> tempCollection = new ObservableCollection<MyMVVMItem>();

            tempCollection.Add(new MyMVVMItem(1, "RadDataBoundListBox", "/Pages/RadDataBoundListBoxMVVM.xaml", "Primitives"));
            tempCollection.Add(new MyMVVMItem(2, "RadDate/TimePicker", "/Pages/RadDatePickerMVVM.xaml", "Input"));
            tempCollection.Add(new MyMVVMItem(3, "RadChart", "/Pages/RadChartMVVM.xaml", "Data Viz"));

            return tempCollection;
        }
    }
}
