﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.Collections.Generic;
using RadControls.WP7.MVVM.ExClasses;
using System.Collections.ObjectModel;
using GalaSoft.MvvmLight.Command;
using System.Windows.Threading;
using System.Diagnostics;

namespace RadControls.WP7.MVVM.ViewModels
{
    public class RadChartViewModel : ViewModelBase
    {
        private Random rnd;

        private List<Double> _testList;
        public List<Double> TestList
        {
            get
            {
                if (_testList == null)
                    MakeTestList();

                return _testList;
            }
            set
            {
                if (value != _testList)
                {
                    _testList = value;
                    RaisePropertyChanged("TestList");
                }
            }
        }

        private List<Double> _testList2;
        public List<Double> TestList2
        {
            get
            {
                if (_testList2 == null)
                    MakeTestList2();

                return _testList2;
            }
            set
            {
                if (value != _testList2)
                {
                    _testList2 = value;
                    RaisePropertyChanged("TestList2");
                }
            }
        }

        public RadChartViewModel()
        {
            rnd = new Random();
        }

        void MakeTestList()
        {
            _testList = new List<double>();

            for (int x = 0; x < 20; x++)
            {
                TestList.Add(Math.Floor(rnd.NextDouble() * 95));
            }
        }

        void MakeTestList2()
        {
            _testList2 = new List<double>();

            for (int x = 0; x < 20; x++)
            {
                TestList2.Add(Math.Floor(rnd.NextDouble() * 90));
            }
        }
    }
}
