﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.Collections.ObjectModel;
using GalaSoft.MvvmLight.Command;
using GalaSoft.MvvmLight.Messaging;

namespace RadControls.WP7.MVVM.ViewModels
{
    public class RadDataBoundListBoxViewModel : ViewModelBase
    {
        private ObservableCollection<MyItem> myItems;
        public ObservableCollection<MyItem> MyItems
        {
            get
            {
                if (myItems == null)
                    myItems = new ObservableCollection<MyItem>();

                return myItems;
            }
            set
            {
                if (myItems != value)
                {
                    myItems = value;
                    RaisePropertyChanged("MyItem");
                }
            }
        }

        private MyItem selectedListCustomer;
        public MyItem SelectedListCustomer
        {
            get
            {
                return selectedListCustomer;
            }
            set
            {
                if (selectedListCustomer != value)
                {
                    selectedListCustomer = value;
                    RaisePropertyChanged("SelectedListCustomer");
                }
            }
        }

        public RelayCommand LoadDataCommand { get; set; }
        public RelayCommand LoadMoreDataCommand { get; set; }

        public RadDataBoundListBoxViewModel()
        {
            LoadDataCommand = new RelayCommand(LoadData);
            LoadMoreDataCommand = new RelayCommand(LoadMoreData);
        }

        public void LoadData()
        {
            for (int i = 0; i < 50; i++)
            {
                MyItem mi = new MyItem();
                mi.id = i;
                mi.CustomerName = "Customer #" + i.ToString();

                MyItems.Add(mi);
            }
        }

        public void LoadMoreData()
        {
            for (int i = 0; i < 10; i++)
            {
                MyItem mi = new MyItem();
                mi.id = i;
                mi.CustomerName = "Customer #" + i.ToString();

                MyItems.Add(mi);
            }
        }
    }

    public class MyItem
    {
        public int id { get; set; }
        public string CustomerName { get; set; }
    }    
}
