﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;

namespace RadControls.WP7.MVVM.ViewModels
{
    public class RadDateTimeViewModel : ViewModelBase
    {
        private DateTime _selectedTime;
        public DateTime SelectedTime
        {
            get { return _selectedTime; }
            set
            {
                if (value != _selectedTime)
                {
                    _selectedTime = value;
                    RaisePropertyChanged("SelectedTime");
                }
            }
        }

        private DateTime _selectedDate;
        public DateTime SelectedDate
        {
            get { return _selectedDate; }
            set
            {
                if (value != _selectedDate)
                {
                    _selectedDate = value;
                    RaisePropertyChanged("SelectedDate");
                }
            }
        }

        public RadDateTimeViewModel()
        {
            SelectedDate = new DateTime(2011, 6, 15);
            SelectedTime = new DateTime(2011, 6, 15, 11, 30, 00);
        }
    }
}
